PipeWire: Data Fields

PipeWire 0.3.34

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - r -

- range : spa_video_colorimetry
- rate : impl , pw_time , spa_audio_info_iec958 , spa_audio_info_raw , spa_io_clock , spa_io_latency , spa_io_rate_match , spa_io_segment , spa_port_info , spa_process_latency_info
- rate_diff : spa_io_clock
- rate_match : client , impl
- raw : spa_audio_info , spa_video_info
- read : spa_system_methods
- readindex : spa_ringbuffer
- ready : spa_node_callbacks
- rec_buffer : impl
- rec_rate_match : impl
- rec_ring : impl
- rec_ringsize : impl
- receiver : module_roc_source_data
- record_count : impl
- ref : client , descriptor , handle , mapping , plugin , pw_memblock
- region : spa_meta_region
- registered : pw_impl_module_events
- registry : impl , support
- registry_event_list : impl
- registry_listener : impl
- remote_ip : module_roc_sink_data
- remote_repair_addr : module_roc_sink_data
- remote_repair_port : module_roc_sink_data
- remote_source_addr : module_roc_sink_data
- remote_source_port : module_roc_sink_data
- remove_buffer : pw_filter_events , pw_stream_events
- remove_id : pw_core_events
- remove_mem : pw_core_events
- remove_port : spa_node_methods
- remove_source : spa_loop_methods
- removed : pw_mempool_events , pw_proxy_events , spa_hook
- required : spa_graph_state
- res : error_data
- resampler_profile : module_roc_source_data
- rescan_pending : impl
- rescan_seq : impl
- reserve : device , impl
- resource : link_data , node_data , resource_data
- resource_added : pw_impl_client_events
- resource_listener : link_data , node_data , resource_data
- resource_removed : pw_impl_client_events
- restore_saved_profile : device
- restore_timeout : impl
- restored : stream
- result : pw_impl_node_events , spa_device_events , spa_node_events
- resume : server
- reuse_buffer : spa_graph_node_callbacks , spa_node_callbacks
- ring : impl , queue
- rmask : spa_source
- route_info : device
- rt : filter , stream
- rt_callbacks : filter , stream
- rt_prio : impl
- rt_time_hard : impl
- rt_time_soft : impl